#
# spec file for package pam-modules (Version 2002.3.9)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pam-modules
License:      GPL or BSD
Group:        System/Libraries
Requires:     pam
Provides:     pam_devperm:/lib/security/pam_devperm.so
Provides:     pam:/lib/security/pam_unix2.so
Obsoletes:    pam_devperm
Autoreqprov:  on
Version:      2002.3.9
Release:      31
Summary:      Additional PAM Modules
Source0:      pam_unix2-1.8.tar.bz2
Source1:      pam_pwcheck-1.5.tar.bz2
Source2:      pam_homecheck-1.3.tar.bz2
Source3:      pam_devperm-1.4.tar.bz2
Source4:      pam_chroot-0.6.tar.bz2
Source5:      pam_make-0.1.tar.gz
Source6:      logindevperm
Patch0:       pam_unix2-1.8.dif
Patch3:       pam_devperm-1.4.dif
Patch4:       pam_chroot-0.6.dif
Patch5:       pam_make-0.1.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
PAM (Pluggable Authentication Modules) is a system security tool
which allows system administrators to set authentication policy
without having to recompile programs which do authentication.


This package contains additional PAM Modules, which are necessary
for a working SuSE Linux System:
pam_unix2
pam_devperm
pam_pwcheck
pam_homecheck
pam_chroot


Authors:
--------
    Andrew G. Morgan <morgan@linux.kernel.org>
    Alexei Nogin <alexei@nogin.dnttm.ru>
    Cristian Gafton <gafton@redhat.com>
    Dave Kinchlea <kinch@kinch.ark.com>
    Elliot Lee <sopwith@redhat.com>
    Erik Troan <ewt@redhat.com>
    Michael K. Johnson <johnsonm@redhat.com>
    Thorsten Kukuk <kukuk@suse.de>

SuSE series: a

%prep
%setup -c %{name} -a0 -b1 -b2 -b3 -b4 -b5
%patch
cd pam_devperm-*
%patch3
cd ../pam_chroot-* 
%patch4
cd ../pam_make-*
%patch5
cd ..

%build
for i in * ; do
  cd $i;
  if [ -x configure ] ; then
    CFLAGS="$RPM_OPT_FLAGS -fPIC" \
    ./configure --libdir=/%{_lib}
    make
  else
    make CFLAGS="$RPM_OPT_FLAGS -fPIC"
  fi
  cd ..
done

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/security
mkdir -p $RPM_BUILD_ROOT/%{_lib}/security
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
for i in * ; do
  cd $i;
  make DESTDIR=$RPM_BUILD_ROOT install
  cd ..
done
# create pam_unix.so hard link
ln -f $RPM_BUILD_ROOT/%{_lib}/security/pam_unix2.so $RPM_BUILD_ROOT/%{_lib}/security/pam_unix.so
# install our own logindevperm config file
install -m 644 $RPM_SOURCE_DIR/logindevperm $RPM_BUILD_ROOT/etc
#
# On 64bit archs, we need to move same libraries ourself:
#
%ifarch sparc64 s390x
mv $RPM_BUILD_ROOT/lib/security/* $RPM_BUILD_ROOT/%{_lib}/security/
%endif
#
# Install READMEs of PAM modules
#
DOC=$RPM_BUILD_ROOT%{_defaultdocdir}/pam
mkdir -p $DOC/modules
for i in pam_*/README ; do
  cp -fpv ${i} $DOC/modules/README.`dirname ${i}`
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -fpY boot.restore_permissions }

%postun
%insserv_cleanup

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/pam
%config(noreplace) /etc/logindevperm
%config(noreplace) /etc/security/pam_unix2.conf
%config(noreplace) /etc/security/pam_pwcheck.conf
%attr(755,root,root) %config /etc/init.d/boot.restore_permissions
/sbin/restore_devperm
%config(noreplace) /etc/security/chroot.conf
/%{_lib}/security/pam_*.so

%changelog -n pam-modules
* Thu Apr 25 2002 - kukuk@suse.de
- Fix a bug that could corrupt /etc/passwd or /etc/shadow in very
  rare cases.
* Tue Mar 12 2002 - kukuk@suse.de
- Allow usernames starting with "_" for pam_devperm, too.
* Sat Mar 09 2002 - kukuk@suse.de
- Update pam_unix2 to allow usernames starting with "_" [Bug #14721]
* Tue Mar 05 2002 - kukuk@suse.de
- Add all usb scanner devices [Bug #14476]
- Fix path of logindevperm
* Tue Feb 05 2002 - kukuk@suse.de
- Update to pam_unix2 1.7 (fix typo in config file parser)
- Update to pam_pwcheck 1.5 (Add global config file)
* Mon Feb 04 2002 - kukuk@suse.de
- Fix boot init script [Bug #13003]
* Thu Jan 31 2002 - grimmer@suse.de
- Added /dev/toshiba and /dev/sonypi to logindevperm to make
  laptop users happy
* Fri Jan 18 2002 - kukuk@suse.de
- Update to pam_unix2 (Fix seg.fault, read config file for
  global options)
* Tue Jan 15 2002 - kukuk@suse.de
- Update to pam_pwcheck 1.4 (better debug options)
- Update to pam_unix2 1.5 (load pam_ldap if necessary)
* Wed Jan 09 2002 - kukuk@suse.de
- Update pam_unix2 to fix crypt problems
* Mon Jan 07 2002 - kukuk@suse.de
- Big update to allow blowfish crypt
- Add pam_crypt
- Add pam_make
* Thu Dec 13 2001 - kukuk@suse.de
- Add program to recover device permissions after crash [Bug #12232]
* Wed Dec 12 2001 - kukuk@suse.de
- Make lib64 ready
* Wed Nov 28 2001 - kukuk@suse.de
- Add /dev/gps to /etc/logindevperm
* Mon Nov 12 2001 - kukuk@suse.de
- Create link for pam_unix.so
* Fri Nov 09 2001 - kukuk@suse.de
- Initial version, split from pam package
